package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserRoleDataActionMapper;
import com.sa.ibiz.demo.demo.domain.UserRoleDataAction;
import com.sa.ibiz.demo.demo.service.UserRoleDataActionService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDataActionSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.UserRoleDataService;

/**
 * 实体[UserRoleDataAction] 服务对象接口实现
 */
@Service
public class UserRoleDataActionServiceImpl extends ServiceImplBase<UserRoleDataActionMapper, UserRoleDataAction> implements UserRoleDataActionService{

    @Autowired
    private UserRoleDataService userroledataService;

    @Resource
    private UserRoleDataActionMapper userroledataactionMapper;


    @Override
    public boolean create(UserRoleDataAction et) {
        this.beforeCreate(et);
        String primaryKey=et.getUserroledataactionid();
        if(StringUtils.isEmpty(primaryKey))
        {
            primaryKey=(String)et.getDefaultPrimaryKey();
            et.setUserroledataactionid(primaryKey);
         }
         return super.create(et);
    }
    @Override
	public UserRoleDataAction get(UserRoleDataAction et) {
        String primaryKey=et.getUserroledataactionid();
         if(StringUtils.isEmpty(primaryKey))
         {
             primaryKey=(String)et.getDefaultPrimaryKey();
             et.setUserroledataactionid(primaryKey);
          }
		      return super.get(et);
	}

    @Override
   	public boolean remove(UserRoleDataAction et) {
        String primaryKey=et.getUserroledataactionid();
         if(StringUtils.isEmpty(primaryKey))
         {
             primaryKey=(String)et.getDefaultPrimaryKey();
             et.setUserroledataactionid(primaryKey);
          }
   		     return super.remove(et);
   	}

    @Override
    public boolean update(UserRoleDataAction et){
        String primaryKey=et.getUserroledataactionid();
         if(StringUtils.isEmpty(primaryKey))
         {
             primaryKey=(String)et.getDefaultPrimaryKey();
             et.setUserroledataactionid(primaryKey);
          }
		     this.userroledataactionMapper.updateOne(et);
		     this.get(et);
             return true;
    }


    public Object getEntityKey(UserRoleDataAction et){
		return et.getUserroledataactionid();  
    }

    @Override
    public boolean getDraft(UserRoleDataAction et)  {
    if((!StringUtils.isEmpty(et.getUserroledataid())) && et.getUserroledata() == null){
            try {
                et.setUserroledata(userroledataService.getById(et.getUserroledataid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<UserRoleDataAction> listDefault(UserRoleDataActionSearchFilter filter) {
		return userroledataactionMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserRoleDataAction> searchDefault(UserRoleDataActionSearchFilter filter) {
		return userroledataactionMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userroledataactionMapper.selectRow(sql);
    }

 }